<?xml version="1.0" encoding="UTF-8"?>

<mule xmlns:ee="http://www.mulesoft.org/schema/mule/ee/core" xmlns:http="http://www.mulesoft.org/schema/mule/http"
	xmlns="http://www.mulesoft.org/schema/mule/core"
	xmlns:doc="http://www.mulesoft.org/schema/mule/documentation" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mulesoft.org/schema/mule/core http://www.mulesoft.org/schema/mule/core/current/mule.xsd
http://www.mulesoft.org/schema/mule/http http://www.mulesoft.org/schema/mule/http/current/mule-http.xsd
http://www.mulesoft.org/schema/mule/ee/core http://www.mulesoft.org/schema/mule/ee/core/current/mule-ee.xsd">
	<flow name="proc-free-fb-api:\save-audit:flow" doc:id="74c403b8-792a-4809-b8dc-30e76408e13e" >
		<logger level="INFO" doc:name="Log Start Save Audit PAPI" doc:id="e4f09f66-abee-4bb3-8472-90b4ee660043" message='#["http-server-cid received: " ++ vars.cid ++ " -- Start Save Audit PAPI"]'/>
		<ee:transform doc:name="JSON to Correct JSON Data" doc:id="93525654-fc06-4470-ab74-9cf382a4c0f8" >
			<ee:message >
				<ee:set-payload ><![CDATA[%dw 2.0
output application/json
---
{
	"csp_txid": vars.initial_payload[0],
	"sms_message_string": vars.initial_payload[1],
	"sub_mobtel": vars.initial_payload[2],
	"sms_source_address": vars.initial_payload[3],
	"sub_device_details": vars.initial_payload[4],
	"hplmn": vars.initial_payload[5],
	"as_service_id": vars.initial_payload[6]
}]]></ee:set-payload>
			</ee:message>
		</ee:transform>
		<flow-ref doc:name="sys-log-save:flow-ref" doc:id="5adb1ecc-29df-4885-95b9-e4734f4432dc" name="sys-log-save:flow"/>
		<logger level="INFO" doc:name="Log End Save Audit PAPI" doc:id="9cd4ed09-bbf9-44ef-8ba3-e00614cd966e" message='#["http-server-cid received: " ++ vars.cid ++ " -- End Save Audit PAPI"]'/>
		<error-handler ref="generic-error-handler"></error-handler>
	</flow>
	<flow name="proc-free-fb-api:\update-audit:flow" doc:id="71282e79-ba53-4319-84b4-96dd6ff64bce" >
		<logger level="INFO" doc:name="Log Start Save Audit PAPI" doc:id="7fee27d8-0bb3-49c3-912e-5c11c43987df" message='#["http-server-cid received: " ++ vars.cid ++ " -- Start Save Audit PAPI"]' />
		<flow-ref doc:name="sys-log-update:flow-ref" doc:id="791b7b70-1aae-4c2b-a946-4b64cf541dc8" name="sys-log-update:flow" />
		<logger level="INFO" doc:name="Log End Save Audit PAPI" doc:id="e2eb91a0-58f4-4b7b-979c-11f6dbd8d4cf" message='#["http-server-cid received: " ++ vars.cid ++ " -- End Save Audit PAPI"]' />
		<error-handler ref="generic-error-handler"></error-handler>
	</flow>
</mule>
